Skip to main content

Users Resource

Users Resource on Discord API Docs

Get User​

GET /users/{user.id}

Returns a CRBT User object for a given user ID.

CRBT User structure​

PropertyTypeDescription
idsnowflakeThe ID of the user
accentColorintegerThe user's CRBT accent color as an integer. If set to 0, CRBT syncs it with their Discord profile color
crbtBadgesCRBTBadge[]A user's CRBT badges, shown on User Info
telemetry *booleanIf the user has enabled Command Telemetry. Learn more
silentJoins *booleanWhether CRBT should announce when they join a server
silentLeaves *booleanWhether CRBT should announce when they leave a server

* These properties can only be seen for a user requesting their own data.

Example CRBT User object​

{
"id": "327690719085068289",
"accentColor": 16743291,
"telemetry": true,
"silentJoins": false,
"silentLeaves": false,
"crbtBadges": [
{
"id": "developer",
"name": "CRBT Developer",
"contents": "🧑‍💻"
}
]
}

CRBT Badge sturcture​

PropertyTypeDescription
idstringThe ID of the badge
namestringThe full name of the badge
contentsstringThe display emoji of the badge. Shows as a Unicode emoji or emoji mention for custom emojis.